osapi.jive.corev3.tiles.TileInstance

A Tile Instance is a component of a purposeful place associated with a Tile Definition for displaying data from external services.

 {
   "id" : "1004",
   "parent" : "https://example.jiveon.com/api/core/v3/places/1008",
   "state" : "STAGED",
   "data" : {
     "title" : "Key contacts",
     "contents" : [ {
       "icon" : "http://myservice.com/images/bob.png",
       "text" : "Bob Employee",
       "linkDescription" : "Google",
       "url" : "http://www.google.com"
     } ]
   },
   "definition" : {
      //Tile definition JSON
   },
   "type" : "tileInstance",
   "resources" : {
     "data" : {
       "allowed" : [ "PUT" ],
       "ref" : "https://example.jiveon.com/api/core/v3/tiles/1004/data"
     },
     "self" : {
       "allowed" : [ "GET" ],
       "ref" : "https://example.jiveon.com/api/core/v3/tiles/1004"
     }
   },
   "published" : "2013-01-17T00:20:57.341+0000",
   "updated" : "2013-01-21T17:40:25.249+0000"
 }

Properties

PropertyTypeMode †Description
columnIntegeroptional↑
The column in which this instance is going to appear in the parent.
configObjectoptional↑
Configuration of this instance in JSON format. JSON format depends on the needs of each instance. When creating or updating this instance, it is possible to include an extra field forceResendRegistration of type boolean that indicates whether a registration notification should be sent to the external system or not.
dataObjectread-only↑
Last data, in JSON format, that was pushed to this tile.
definitionTileDefinitionrequired↑
The definition type this instance belongs to.
externalIdStringoptional↑
An external identifier assigned to this instance. This identifier can be used to access this instance instead of it's id.
followerCountIntegerread-only↑

Number of people following this object.

Availability:

Will be present only for object types that support being followed.

idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object. This field is internal to Jive.

isFollowedBooleanread-only↑

Whether the current user is following this object.

Availability:

Will be present only for object types that support being followed.

lastDataPushISO 8601 Dateread-only↑
Date and time of the last time data was pushed to this tile.
lastRegisterISO 8601 Dateread-only↑
Date and time of the last time a registered notification was sent to the external system that is integrating with Jive.
likeCountIntegerread-only↑

Number of people who have liked this object.

Availability:

Will be present only for object types that support being liked.

parentStringread-only↑

URI of the parent place of this instance.

publishedISO 8601 Dateread-only↑

Date and time this object was originally created.

publishErrorObjectread-only↑
Information about the error that happened while publishing data or activity into this tile. If no error happened in the last publish activity then this field is not going to be present.
Availability:

Will be present only for community admins.

Since: 3.11
resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

stateStringoptional↑
State of this instance. Possible values are:
  • STAGED - Not configured yet. Default value.
  • VISIBLE - Configured and ready to be used
statusObjectread-only↑
Status of this instance when data was last published. The status is in JSON format. To set the status of this instance, the data that is pushed using
tagsString[]optional↑

Tags associated with this object.

Availability:

Will be present only for object types that support tags

typeStringread-only↑
typeCodeIntegerread-only↑
updatedISO 8601 Dateread-only↑

Date and time this object was most recently updated.

viewstyleStringread-only↑
Visual style to use for this tile. Possible values are:
  • CALENDAR
  • LIST
  • GAUGE
  • TABLE
  • IFRAME
  • GALLERY
  • ACTIVITY
  • CONTENT
  • CONTENTLISTWIDE
  • CONTENTLISTNARROW
  • SECTIONLIST
  • CAROUSEL
  • QUESTION
  • CUSTOM_VIEW
The value will have a version appended (eg. CALENDAR_2) when the config field includes version information.
†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
getPrivateProps()
GET /tiles/1234/privateprops

Retrieves

PrivateProps

Description

Retrieves private properties for this TileInstance

↑
updatePrivateProps(object)
POST /tiles/1234/privateprops

Retrieves

Object

Description

Updates private properties for this TileInstance

Resources

ResourceMethodReturnsDescription
selfGETTileInstance↑

Return an updated version of this tile instance.